File:  [gforth] / gforth / netlib / configure
Revision 1.2: download - view: text, annotated - select for diffs
Sun Mar 9 15:17:07 2003 UTC (16 years, 7 months ago) by anton
Branches: MAIN
CVS tags: v0-6-1, v0-6-0, HEAD
updated copyright years

    1: #! /bin/sh
    2: 
    3: # Guess values for system-dependent variables and create Makefiles.
    4: # Generated automatically using autoconf version 2.12 
    5: # Copyright (C) 1992, 93, 94, 95, 96,1999 Free Software Foundation, Inc.
    6: #
    7: # This configure script is free software; the Free Software Foundation
    8: # gives unlimited permission to copy, distribute and modify it.
    9: 
   10: # Defaults:
   11: ac_help=
   12: ac_default_prefix=/usr/local
   13: # Any additions from configure.in:
   14: 
   15: # Initialize some variables set by options.
   16: # The variables have the same names as the options, with
   17: # dashes changed to underlines.
   18: build=NONE
   19: cache_file=./config.cache
   20: exec_prefix=NONE
   21: host=NONE
   22: no_create=
   23: nonopt=NONE
   24: no_recursion=
   25: prefix=NONE
   26: program_prefix=NONE
   27: program_suffix=NONE
   28: program_transform_name=s,x,x,
   29: silent=
   30: site=
   31: srcdir=
   32: target=NONE
   33: verbose=
   34: x_includes=NONE
   35: x_libraries=NONE
   36: bindir='${exec_prefix}/bin'
   37: sbindir='${exec_prefix}/sbin'
   38: libexecdir='${exec_prefix}/libexec'
   39: datadir='${prefix}/share'
   40: sysconfdir='${prefix}/etc'
   41: sharedstatedir='${prefix}/com'
   42: localstatedir='${prefix}/var'
   43: libdir='${exec_prefix}/lib'
   44: includedir='${prefix}/include'
   45: oldincludedir='/usr/include'
   46: infodir='${prefix}/info'
   47: mandir='${prefix}/man'
   48: 
   49: # Initialize some other variables.
   50: subdirs=
   51: MFLAGS= MAKEFLAGS=
   52: # Maximum number of lines to put in a shell here document.
   53: ac_max_here_lines=12
   54: 
   55: ac_prev=
   56: for ac_option
   57: do
   58: 
   59:   # If the previous option needs an argument, assign it.
   60:   if test -n "$ac_prev"; then
   61:     eval "$ac_prev=\$ac_option"
   62:     ac_prev=
   63:     continue
   64:   fi
   65: 
   66:   case "$ac_option" in
   67:   -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
   68:   *) ac_optarg= ;;
   69:   esac
   70: 
   71:   # Accept the important Cygnus configure options, so we can diagnose typos.
   72: 
   73:   case "$ac_option" in
   74: 
   75:   -bindir | --bindir | --bindi | --bind | --bin | --bi)
   76:     ac_prev=bindir ;;
   77:   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
   78:     bindir="$ac_optarg" ;;
   79: 
   80:   -build | --build | --buil | --bui | --bu)
   81:     ac_prev=build ;;
   82:   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
   83:     build="$ac_optarg" ;;
   84: 
   85:   -cache-file | --cache-file | --cache-fil | --cache-fi \
   86:   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
   87:     ac_prev=cache_file ;;
   88:   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
   89:   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
   90:     cache_file="$ac_optarg" ;;
   91: 
   92:   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
   93:     ac_prev=datadir ;;
   94:   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
   95:   | --da=*)
   96:     datadir="$ac_optarg" ;;
   97: 
   98:   -disable-* | --disable-*)
   99:     ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
  100:     # Reject names that are not valid shell variable names.
  101:     if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
  102:       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  103:     fi
  104:     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  105:     eval "enable_${ac_feature}=no" ;;
  106: 
  107:   -enable-* | --enable-*)
  108:     ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
  109:     # Reject names that are not valid shell variable names.
  110:     if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
  111:       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  112:     fi
  113:     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  114:     case "$ac_option" in
  115:       *=*) ;;
  116:       *) ac_optarg=yes ;;
  117:     esac
  118:     eval "enable_${ac_feature}='$ac_optarg'" ;;
  119: 
  120:   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  121:   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  122:   | --exec | --exe | --ex)
  123:     ac_prev=exec_prefix ;;
  124:   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  125:   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  126:   | --exec=* | --exe=* | --ex=*)
  127:     exec_prefix="$ac_optarg" ;;
  128: 
  129:   -gas | --gas | --ga | --g)
  130:     # Obsolete; use --with-gas.
  131:     with_gas=yes ;;
  132: 
  133:   -help | --help | --hel | --he)
  134:     # Omit some internal or obsolete options to make the list less imposing.
  135:     # This message is too long to be a string in the A/UX 3.1 sh.
  136:     cat << EOF
  137: Usage: configure [options] [host]
  138: Options: [defaults in brackets after descriptions]
  139: Configuration:
  140:   --cache-file=FILE       cache test results in FILE
  141:   --help                  print this message
  142:   --no-create             do not create output files
  143:   --quiet, --silent       do not print \`checking...' messages
  144:   --version               print the version of autoconf that created configure
  145: Directory and file names:
  146:   --prefix=PREFIX         install architecture-independent files in PREFIX
  147:                           [$ac_default_prefix]
  148:   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  149:                           [same as prefix]
  150:   --bindir=DIR            user executables in DIR [EPREFIX/bin]
  151:   --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  152:   --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  153:   --datadir=DIR           read-only architecture-independent data in DIR
  154:                           [PREFIX/share]
  155:   --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  156:   --sharedstatedir=DIR    modifiable architecture-independent data in DIR
  157:                           [PREFIX/com]
  158:   --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  159:   --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  160:   --includedir=DIR        C header files in DIR [PREFIX/include]
  161:   --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  162:   --infodir=DIR           info documentation in DIR [PREFIX/info]
  163:   --mandir=DIR            man documentation in DIR [PREFIX/man]
  164:   --srcdir=DIR            find the sources in DIR [configure dir or ..]
  165:   --program-prefix=PREFIX prepend PREFIX to installed program names
  166:   --program-suffix=SUFFIX append SUFFIX to installed program names
  167:   --program-transform-name=PROGRAM
  168:                           run sed PROGRAM on installed program names
  169: EOF
  170:     cat << EOF
  171: Host type:
  172:   --build=BUILD           configure for building on BUILD [BUILD=HOST]
  173:   --host=HOST             configure for HOST [guessed]
  174:   --target=TARGET         configure for TARGET [TARGET=HOST]
  175: Features and packages:
  176:   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  177:   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  178:   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  179:   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  180:   --x-includes=DIR        X include files are in DIR
  181:   --x-libraries=DIR       X library files are in DIR
  182: EOF
  183:     if test -n "$ac_help"; then
  184:       echo "--enable and --with options recognized:$ac_help"
  185:     fi
  186:     exit 0 ;;
  187: 
  188:   -host | --host | --hos | --ho)
  189:     ac_prev=host ;;
  190:   -host=* | --host=* | --hos=* | --ho=*)
  191:     host="$ac_optarg" ;;
  192: 
  193:   -includedir | --includedir | --includedi | --included | --include \
  194:   | --includ | --inclu | --incl | --inc)
  195:     ac_prev=includedir ;;
  196:   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  197:   | --includ=* | --inclu=* | --incl=* | --inc=*)
  198:     includedir="$ac_optarg" ;;
  199: 
  200:   -infodir | --infodir | --infodi | --infod | --info | --inf)
  201:     ac_prev=infodir ;;
  202:   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  203:     infodir="$ac_optarg" ;;
  204: 
  205:   -libdir | --libdir | --libdi | --libd)
  206:     ac_prev=libdir ;;
  207:   -libdir=* | --libdir=* | --libdi=* | --libd=*)
  208:     libdir="$ac_optarg" ;;
  209: 
  210:   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  211:   | --libexe | --libex | --libe)
  212:     ac_prev=libexecdir ;;
  213:   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  214:   | --libexe=* | --libex=* | --libe=*)
  215:     libexecdir="$ac_optarg" ;;
  216: 
  217:   -localstatedir | --localstatedir | --localstatedi | --localstated \
  218:   | --localstate | --localstat | --localsta | --localst \
  219:   | --locals | --local | --loca | --loc | --lo)
  220:     ac_prev=localstatedir ;;
  221:   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  222:   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  223:   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  224:     localstatedir="$ac_optarg" ;;
  225: 
  226:   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  227:     ac_prev=mandir ;;
  228:   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  229:     mandir="$ac_optarg" ;;
  230: 
  231:   -nfp | --nfp | --nf)
  232:     # Obsolete; use --without-fp.
  233:     with_fp=no ;;
  234: 
  235:   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  236:   | --no-cr | --no-c)
  237:     no_create=yes ;;
  238: 
  239:   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  240:   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  241:     no_recursion=yes ;;
  242: 
  243:   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  244:   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  245:   | --oldin | --oldi | --old | --ol | --o)
  246:     ac_prev=oldincludedir ;;
  247:   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  248:   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  249:   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  250:     oldincludedir="$ac_optarg" ;;
  251: 
  252:   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  253:     ac_prev=prefix ;;
  254:   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  255:     prefix="$ac_optarg" ;;
  256: 
  257:   -program-prefix | --program-prefix | --program-prefi | --program-pref \
  258:   | --program-pre | --program-pr | --program-p)
  259:     ac_prev=program_prefix ;;
  260:   -program-prefix=* | --program-prefix=* | --program-prefi=* \
  261:   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
  262:     program_prefix="$ac_optarg" ;;
  263: 
  264:   -program-suffix | --program-suffix | --program-suffi | --program-suff \
  265:   | --program-suf | --program-su | --program-s)
  266:     ac_prev=program_suffix ;;
  267:   -program-suffix=* | --program-suffix=* | --program-suffi=* \
  268:   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
  269:     program_suffix="$ac_optarg" ;;
  270: 
  271:   -program-transform-name | --program-transform-name \
  272:   | --program-transform-nam | --program-transform-na \
  273:   | --program-transform-n | --program-transform- \
  274:   | --program-transform | --program-transfor \
  275:   | --program-transfo | --program-transf \
  276:   | --program-trans | --program-tran \
  277:   | --progr-tra | --program-tr | --program-t)
  278:     ac_prev=program_transform_name ;;
  279:   -program-transform-name=* | --program-transform-name=* \
  280:   | --program-transform-nam=* | --program-transform-na=* \
  281:   | --program-transform-n=* | --program-transform-=* \
  282:   | --program-transform=* | --program-transfor=* \
  283:   | --program-transfo=* | --program-transf=* \
  284:   | --program-trans=* | --program-tran=* \
  285:   | --progr-tra=* | --program-tr=* | --program-t=*)
  286:     program_transform_name="$ac_optarg" ;;
  287: 
  288:   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  289:   | -silent | --silent | --silen | --sile | --sil)
  290:     silent=yes ;;
  291: 
  292:   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  293:     ac_prev=sbindir ;;
  294:   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  295:   | --sbi=* | --sb=*)
  296:     sbindir="$ac_optarg" ;;
  297: 
  298:   -sharedstatedir | --sharedstatedir | --sharedstatedi \
  299:   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  300:   | --sharedst | --shareds | --shared | --share | --shar \
  301:   | --sha | --sh)
  302:     ac_prev=sharedstatedir ;;
  303:   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  304:   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  305:   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  306:   | --sha=* | --sh=*)
  307:     sharedstatedir="$ac_optarg" ;;
  308: 
  309:   -site | --site | --sit)
  310:     ac_prev=site ;;
  311:   -site=* | --site=* | --sit=*)
  312:     site="$ac_optarg" ;;
  313: 
  314:   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
  315:     ac_prev=srcdir ;;
  316:   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  317:     srcdir="$ac_optarg" ;;
  318: 
  319:   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  320:   | --syscon | --sysco | --sysc | --sys | --sy)
  321:     ac_prev=sysconfdir ;;
  322:   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  323:   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  324:     sysconfdir="$ac_optarg" ;;
  325: 
  326:   -target | --target | --targe | --targ | --tar | --ta | --t)
  327:     ac_prev=target ;;
  328:   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  329:     target="$ac_optarg" ;;
  330: 
  331:   -v | -verbose | --verbose | --verbos | --verbo | --verb)
  332:     verbose=yes ;;
  333: 
  334:   -version | --version | --versio | --versi | --vers)
  335:     echo "configure generated by autoconf version 2.12"
  336:     exit 0 ;;
  337: 
  338:   -with-* | --with-*)
  339:     ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
  340:     # Reject names that are not valid shell variable names.
  341:     if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
  342:       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  343:     fi
  344:     ac_package=`echo $ac_package| sed 's/-/_/g'`
  345:     case "$ac_option" in
  346:       *=*) ;;
  347:       *) ac_optarg=yes ;;
  348:     esac
  349:     eval "with_${ac_package}='$ac_optarg'" ;;
  350: 
  351:   -without-* | --without-*)
  352:     ac_package=`echo $ac_option|sed -e 's/-*without-//'`
  353:     # Reject names that are not valid shell variable names.
  354:     if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
  355:       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  356:     fi
  357:     ac_package=`echo $ac_package| sed 's/-/_/g'`
  358:     eval "with_${ac_package}=no" ;;
  359: 
  360:   --x)
  361:     # Obsolete; use --with-x.
  362:     with_x=yes ;;
  363: 
  364:   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  365:   | --x-incl | --x-inc | --x-in | --x-i)
  366:     ac_prev=x_includes ;;
  367:   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  368:   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
  369:     x_includes="$ac_optarg" ;;
  370: 
  371:   -x-libraries | --x-libraries | --x-librarie | --x-librari \
  372:   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
  373:     ac_prev=x_libraries ;;
  374:   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  375:   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
  376:     x_libraries="$ac_optarg" ;;
  377: 
  378:   -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
  379:     ;;
  380: 
  381:   *)
  382:     if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
  383:       echo "configure: warning: $ac_option: invalid host type" 1>&2
  384:     fi
  385:     if test "x$nonopt" != xNONE; then
  386:       { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
  387:     fi
  388:     nonopt="$ac_option"
  389:     ;;
  390: 
  391:   esac
  392: done
  393: 
  394: if test -n "$ac_prev"; then
  395:   { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
  396: fi
  397: 
  398: trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  399: 
  400: # File descriptor usage:
  401: # 0 standard input
  402: # 1 file creation
  403: # 2 errors and warnings
  404: # 3 some systems may open it to /dev/tty
  405: # 4 used on the Kubota Titan
  406: # 6 checking for... messages and results
  407: # 5 compiler messages saved in config.log
  408: if test "$silent" = yes; then
  409:   exec 6>/dev/null
  410: else
  411:   exec 6>&1
  412: fi
  413: exec 5>./config.log
  414: 
  415: echo "\
  416: This file contains any messages produced by compilers while
  417: running configure, to aid debugging if configure makes a mistake.
  418: " 1>&5
  419: 
  420: # Strip out --no-create and --no-recursion so they do not pile up.
  421: # Also quote any args containing shell metacharacters.
  422: ac_configure_args=
  423: for ac_arg
  424: do
  425:   case "$ac_arg" in
  426:   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  427:   | --no-cr | --no-c) ;;
  428:   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  429:   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  430:   *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  431:   ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  432:   *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  433:   esac
  434: done
  435: 
  436: # NLS nuisances.
  437: # Only set these to C if already set.  These must not be set unconditionally
  438: # because not all systems understand e.g. LANG=C (notably SCO).
  439: # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
  440: # Non-C LC_CTYPE values break the ctype check.
  441: if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
  442: if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
  443: if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
  444: if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
  445: 
  446: # confdefs.h avoids OS command line length limits that DEFS can exceed.
  447: rm -rf conftest* confdefs.h
  448: # AIX cpp loses on an empty file, so make sure it contains at least a newline.
  449: echo > confdefs.h
  450: 
  451: # A filename unique to this package, relative to the directory that
  452: # configure is in, which we can look for to find out if srcdir is correct.
  453: ac_unique_file=netlib.pri
  454: 
  455: # Find the source files, if location was not specified.
  456: if test -z "$srcdir"; then
  457:   ac_srcdir_defaulted=yes
  458:   # Try the directory containing this script, then its parent.
  459:   ac_prog=$0
  460:   ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  461:   test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  462:   srcdir=$ac_confdir
  463:   if test ! -r $srcdir/$ac_unique_file; then
  464:     srcdir=..
  465:   fi
  466: else
  467:   ac_srcdir_defaulted=no
  468: fi
  469: if test ! -r $srcdir/$ac_unique_file; then
  470:   if test "$ac_srcdir_defaulted" = yes; then
  471:     { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  472:   else
  473:     { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  474:   fi
  475: fi
  476: srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
  477: 
  478: # Prefer explicitly selected file to automatically selected ones.
  479: if test -z "$CONFIG_SITE"; then
  480:   if test "x$prefix" != xNONE; then
  481:     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  482:   else
  483:     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  484:   fi
  485: fi
  486: for ac_site_file in $CONFIG_SITE; do
  487:   if test -r "$ac_site_file"; then
  488:     echo "loading site script $ac_site_file"
  489:     . "$ac_site_file"
  490:   fi
  491: done
  492: 
  493: if test -r "$cache_file"; then
  494:   echo "loading cache $cache_file"
  495:   . $cache_file
  496: else
  497:   echo "creating cache $cache_file"
  498:   > $cache_file
  499: fi
  500: 
  501: ac_ext=c
  502: # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  503: ac_cpp='$CPP $CPPFLAGS'
  504: ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  505: ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  506: cross_compiling=$ac_cv_prog_cc_cross
  507: 
  508: if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  509:   # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  510:   if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
  511:     ac_n= ac_c='
  512: ' ac_t='	'
  513:   else
  514:     ac_n=-n ac_c= ac_t=
  515:   fi
  516: else
  517:   ac_n= ac_c='\c' ac_t=
  518: fi
  519: 
  520: 
  521: 
  522: for ac_func in gethostname
  523: do
  524: echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
  525: echo "configure:526: checking for $ac_func" >&5
  526: if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
  527:   echo $ac_n "(cached) $ac_c" 1>&6
  528: else
  529:   cat > conftest.$ac_ext <<EOF
  530: #line 531 "configure"
  531: #include "confdefs.h"
  532: /* System header to define __stub macros and hopefully few prototypes,
  533:     which can conflict with char $ac_func(); below.  */
  534: #include <assert.h>
  535: /* Override any gcc2 internal prototype to avoid an error.  */
  536: /* We use char because int might match the return type of a gcc2
  537:     builtin and then its argument prototype would still apply.  */
  538: char $ac_func();
  539: 
  540: int main() {
  541: 
  542: /* The GNU C library defines this for functions which it implements
  543:     to always fail with ENOSYS.  Some functions are actually named
  544:     something starting with __ and the normal name is an alias.  */
  545: #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
  546: choke me
  547: #else
  548: $ac_func();
  549: #endif
  550: 
  551: ; return 0; }
  552: EOF
  553: if { (eval echo configure:554: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
  554:   rm -rf conftest*
  555:   eval "ac_cv_func_$ac_func=yes"
  556: else
  557:   echo "configure: failed program was:" >&5
  558:   cat conftest.$ac_ext >&5
  559:   rm -rf conftest*
  560:   eval "ac_cv_func_$ac_func=no"
  561: fi
  562: rm -f conftest*
  563: fi
  564: 
  565: if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  566:   echo "$ac_t""yes" 1>&6
  567:     ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  568:   cat >> confdefs.h <<EOF
  569: #define $ac_tr_func 1
  570: EOF
  571:  
  572: else
  573:   echo "$ac_t""no" 1>&6
  574: fi
  575: done
  576: 
  577: 
  578: for ac_func in gethostbyname
  579: do
  580: echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
  581: echo "configure:582: checking for $ac_func" >&5
  582: if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
  583:   echo $ac_n "(cached) $ac_c" 1>&6
  584: else
  585:   cat > conftest.$ac_ext <<EOF
  586: #line 587 "configure"
  587: #include "confdefs.h"
  588: /* System header to define __stub macros and hopefully few prototypes,
  589:     which can conflict with char $ac_func(); below.  */
  590: #include <assert.h>
  591: /* Override any gcc2 internal prototype to avoid an error.  */
  592: /* We use char because int might match the return type of a gcc2
  593:     builtin and then its argument prototype would still apply.  */
  594: char $ac_func();
  595: 
  596: int main() {
  597: 
  598: /* The GNU C library defines this for functions which it implements
  599:     to always fail with ENOSYS.  Some functions are actually named
  600:     something starting with __ and the normal name is an alias.  */
  601: #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
  602: choke me
  603: #else
  604: $ac_func();
  605: #endif
  606: 
  607: ; return 0; }
  608: EOF
  609: if { (eval echo configure:610: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
  610:   rm -rf conftest*
  611:   eval "ac_cv_func_$ac_func=yes"
  612: else
  613:   echo "configure: failed program was:" >&5
  614:   cat conftest.$ac_ext >&5
  615:   rm -rf conftest*
  616:   eval "ac_cv_func_$ac_func=no"
  617: fi
  618: rm -f conftest*
  619: fi
  620: 
  621: if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  622:   echo "$ac_t""yes" 1>&6
  623:     ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  624:   cat >> confdefs.h <<EOF
  625: #define $ac_tr_func 1
  626: EOF
  627:  
  628: else
  629:   echo "$ac_t""no" 1>&6
  630: echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
  631: echo "configure:632: checking for gethostbyname in -lnsl" >&5
  632: ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
  633: if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  634:   echo $ac_n "(cached) $ac_c" 1>&6
  635: else
  636:   ac_save_LIBS="$LIBS"
  637: LIBS="-lnsl  $LIBS"
  638: cat > conftest.$ac_ext <<EOF
  639: #line 640 "configure"
  640: #include "confdefs.h"
  641: /* Override any gcc2 internal prototype to avoid an error.  */
  642: /* We use char because int might match the return type of a gcc2
  643:     builtin and then its argument prototype would still apply.  */
  644: char gethostbyname();
  645: 
  646: int main() {
  647: gethostbyname()
  648: ; return 0; }
  649: EOF
  650: if { (eval echo configure:651: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
  651:   rm -rf conftest*
  652:   eval "ac_cv_lib_$ac_lib_var=yes"
  653: else
  654:   echo "configure: failed program was:" >&5
  655:   cat conftest.$ac_ext >&5
  656:   rm -rf conftest*
  657:   eval "ac_cv_lib_$ac_lib_var=no"
  658: fi
  659: rm -f conftest*
  660: LIBS="$ac_save_LIBS"
  661: 
  662: fi
  663: if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  664:   echo "$ac_t""yes" 1>&6
  665:     ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/^a-zA-Z0-9_/_/g' \
  666:     -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
  667:   cat >> confdefs.h <<EOF
  668: #define $ac_tr_lib 1
  669: EOF
  670: 
  671:   LIBS="-lnsl $LIBS"
  672: 
  673: else
  674:   echo "$ac_t""no" 1>&6
  675: fi
  676: 
  677: 
  678: fi
  679: done
  680: 
  681: 
  682: echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
  683: echo "configure:684: checking for socket in -lsocket" >&5
  684: ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
  685: if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  686:   echo $ac_n "(cached) $ac_c" 1>&6
  687: else
  688:   ac_save_LIBS="$LIBS"
  689: LIBS="-lsocket  $LIBS"
  690: cat > conftest.$ac_ext <<EOF
  691: #line 692 "configure"
  692: #include "confdefs.h"
  693: /* Override any gcc2 internal prototype to avoid an error.  */
  694: /* We use char because int might match the return type of a gcc2
  695:     builtin and then its argument prototype would still apply.  */
  696: char socket();
  697: 
  698: int main() {
  699: socket()
  700: ; return 0; }
  701: EOF
  702: if { (eval echo configure:703: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
  703:   rm -rf conftest*
  704:   eval "ac_cv_lib_$ac_lib_var=yes"
  705: else
  706:   echo "configure: failed program was:" >&5
  707:   cat conftest.$ac_ext >&5
  708:   rm -rf conftest*
  709:   eval "ac_cv_lib_$ac_lib_var=no"
  710: fi
  711: rm -f conftest*
  712: LIBS="$ac_save_LIBS"
  713: 
  714: fi
  715: if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  716:   echo "$ac_t""yes" 1>&6
  717:     ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
  718:     -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
  719:   cat >> confdefs.h <<EOF
  720: #define $ac_tr_lib 1
  721: EOF
  722: 
  723:   LIBS="-lsocket $LIBS"
  724: 
  725: else
  726:   echo "$ac_t""no" 1>&6
  727: fi
  728: 
  729: 
  730: trap '' 1 2 15
  731: cat > confcache <<\EOF
  732: # This file is a shell script that caches the results of configure
  733: # tests run on this system so they can be shared between configure
  734: # scripts and configure runs.  It is not useful on other systems.
  735: # If it contains results you don't want to keep, you may remove or edit it.
  736: #
  737: # By default, configure uses ./config.cache as the cache file,
  738: # creating it if it does not exist already.  You can give configure
  739: # the --cache-file=FILE option to use a different cache file; that is
  740: # what configure does when it calls configure scripts in
  741: # subdirectories, so they share the cache.
  742: # Giving --cache-file=/dev/null disables caching, for debugging configure.
  743: # config.status only pays attention to the cache file if you give it the
  744: # --recheck option to rerun configure.
  745: #
  746: EOF
  747: # The following way of writing the cache mishandles newlines in values,
  748: # but we know of no workaround that is simple, portable, and efficient.
  749: # So, don't put newlines in cache variables' values.
  750: # Ultrix sh set writes to stderr and can't be redirected directly,
  751: # and sets the high bit in the cache file unless we assign to the vars.
  752: (set) 2>&1 |
  753:   case `(ac_space=' '; set) 2>&1` in
  754:   *ac_space=\ *)
  755:     # `set' does not quote correctly, so add quotes (double-quote substitution
  756:     # turns \\\\ into \\, and sed turns \\ into \).
  757:     sed -n \
  758:       -e "s/'/'\\\\''/g" \
  759:       -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
  760:     ;;
  761:   *)
  762:     # `set' quotes correctly as required by POSIX, so do not add quotes.
  763:     sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
  764:     ;;
  765:   esac >> confcache
  766: if cmp -s $cache_file confcache; then
  767:   :
  768: else
  769:   if test -w $cache_file; then
  770:     echo "updating cache $cache_file"
  771:     cat confcache > $cache_file
  772:   else
  773:     echo "not updating unwritable cache $cache_file"
  774:   fi
  775: fi
  776: rm -f confcache
  777: 
  778: trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  779: 
  780: test "x$prefix" = xNONE && prefix=$ac_default_prefix
  781: # Let make expand exec_prefix.
  782: test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
  783: 
  784: # Any assignment to VPATH causes Sun make to only execute
  785: # the first set of double-colon rules, so remove it if not needed.
  786: # If there is a colon in the path, we need to keep it.
  787: if test "x$srcdir" = x.; then
  788:   ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
  789: fi
  790: 
  791: trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
  792: 
  793: # Transform confdefs.h into DEFS.
  794: # Protect against shell expansion while executing Makefile rules.
  795: # Protect against Makefile macro expansion.
  796: cat > conftest.defs <<\EOF
  797: s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
  798: s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
  799: s%\[%\\&%g
  800: s%\]%\\&%g
  801: s%\$%$$%g
  802: EOF
  803: DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
  804: rm -f conftest.defs
  805: 
  806: 
  807: # Without the "./", some shells look in PATH for config.status.
  808: : ${CONFIG_STATUS=./config.status}
  809: 
  810: echo creating $CONFIG_STATUS
  811: rm -f $CONFIG_STATUS
  812: cat > $CONFIG_STATUS <<EOF
  813: #! /bin/sh
  814: # Generated automatically by configure.
  815: # Run this file to recreate the current configuration.
  816: # This directory was configured as follows,
  817: # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
  818: #
  819: # $0 $ac_configure_args
  820: #
  821: # Compiler output produced by configure, useful for debugging
  822: # configure, is in ./config.log if it exists.
  823: 
  824: ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
  825: for ac_option
  826: do
  827:   case "\$ac_option" in
  828:   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  829:     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
  830:     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  831:   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
  832:     echo "$CONFIG_STATUS generated by autoconf version 2.12"
  833:     exit 0 ;;
  834:   -help | --help | --hel | --he | --h)
  835:     echo "\$ac_cs_usage"; exit 0 ;;
  836:   *) echo "\$ac_cs_usage"; exit 1 ;;
  837:   esac
  838: done
  839: 
  840: ac_given_srcdir=$srcdir
  841: 
  842: trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
  843: EOF
  844: cat >> $CONFIG_STATUS <<EOF
  845: 
  846: # Protect against being on the right side of a sed subst in config.status.
  847: sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
  848:  s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
  849: $ac_vpsub
  850: $extrasub
  851: s%@CFLAGS@%$CFLAGS%g
  852: s%@CPPFLAGS@%$CPPFLAGS%g
  853: s%@CXXFLAGS@%$CXXFLAGS%g
  854: s%@DEFS@%$DEFS%g
  855: s%@LDFLAGS@%$LDFLAGS%g
  856: s%@LIBS@%$LIBS%g
  857: s%@exec_prefix@%$exec_prefix%g
  858: s%@prefix@%$prefix%g
  859: s%@program_transform_name@%$program_transform_name%g
  860: s%@bindir@%$bindir%g
  861: s%@sbindir@%$sbindir%g
  862: s%@libexecdir@%$libexecdir%g
  863: s%@datadir@%$datadir%g
  864: s%@sysconfdir@%$sysconfdir%g
  865: s%@sharedstatedir@%$sharedstatedir%g
  866: s%@localstatedir@%$localstatedir%g
  867: s%@libdir@%$libdir%g
  868: s%@includedir@%$includedir%g
  869: s%@oldincludedir@%$oldincludedir%g
  870: s%@infodir@%$infodir%g
  871: s%@mandir@%$mandir%g
  872: 
  873: CEOF
  874: EOF
  875: 
  876: cat >> $CONFIG_STATUS <<\EOF
  877: 
  878: # Split the substitutions into bite-sized pieces for seds with
  879: # small command number limits, like on Digital OSF/1 and HP-UX.
  880: ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
  881: ac_file=1 # Number of current file.
  882: ac_beg=1 # First line for current file.
  883: ac_end=$ac_max_sed_cmds # Line after last line for current file.
  884: ac_more_lines=:
  885: ac_sed_cmds=""
  886: while $ac_more_lines; do
  887:   if test $ac_beg -gt 1; then
  888:     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  889:   else
  890:     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  891:   fi
  892:   if test ! -s conftest.s$ac_file; then
  893:     ac_more_lines=false
  894:     rm -f conftest.s$ac_file
  895:   else
  896:     if test -z "$ac_sed_cmds"; then
  897:       ac_sed_cmds="sed -f conftest.s$ac_file"
  898:     else
  899:       ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
  900:     fi
  901:     ac_file=`expr $ac_file + 1`
  902:     ac_beg=$ac_end
  903:     ac_end=`expr $ac_end + $ac_max_sed_cmds`
  904:   fi
  905: done
  906: if test -z "$ac_sed_cmds"; then
  907:   ac_sed_cmds=cat
  908: fi
  909: EOF
  910: 
  911: cat >> $CONFIG_STATUS <<EOF
  912: 
  913: CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
  914: EOF
  915: cat >> $CONFIG_STATUS <<\EOF
  916: for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  917:   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  918:   case "$ac_file" in
  919:   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
  920:        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  921:   *) ac_file_in="${ac_file}.in" ;;
  922:   esac
  923: 
  924:   # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
  925: 
  926:   # Remove last slash and all that follows it.  Not all systems have dirname.
  927:   ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  928:   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  929:     # The file is in a subdirectory.
  930:     test ! -d "$ac_dir" && mkdir "$ac_dir"
  931:     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
  932:     # A "../" for each directory in $ac_dir_suffix.
  933:     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  934:   else
  935:     ac_dir_suffix= ac_dots=
  936:   fi
  937: 
  938:   case "$ac_given_srcdir" in
  939:   .)  srcdir=.
  940:       if test -z "$ac_dots"; then top_srcdir=.
  941:       else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  942:   /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  943:   *) # Relative path.
  944:     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
  945:     top_srcdir="$ac_dots$ac_given_srcdir" ;;
  946:   esac
  947: 
  948: 
  949:   echo creating "$ac_file"
  950:   rm -f "$ac_file"
  951:   configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  952:   case "$ac_file" in
  953:   *Makefile*) ac_comsub="1i\\
  954: # $configure_input" ;;
  955:   *) ac_comsub= ;;
  956:   esac
  957: 
  958:   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  959:   sed -e "$ac_comsub
  960: s%@configure_input@%$configure_input%g
  961: s%@srcdir@%$srcdir%g
  962: s%@top_srcdir@%$top_srcdir%g
  963: " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
  964: fi; done
  965: rm -f conftest.s*
  966: 
  967: EOF
  968: cat >> $CONFIG_STATUS <<EOF
  969: 
  970: EOF
  971: cat >> $CONFIG_STATUS <<\EOF
  972: 
  973: exit 0
  974: EOF
  975: chmod +x $CONFIG_STATUS
  976: rm -fr confdefs* $ac_clean_files
  977: test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
  978: 

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>